# Property

#### new Cesium.Property()
DataSources/Property.js 29

  The interface for all properties, which represent a value that can optionally vary over time. This type defines an interface and cannot be instantiated directly.

  ##### See:

  - CompositeProperty
  - ConstantProperty
  - SampledProperty
  - TimeIntervalCollectionProperty
  - MaterialProperty
  - PositionProperty
  - ReferenceProperty

### Members

#### readonlydefinitionChanged : Event
DataSources/Property.js 54

  Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### readonlyisConstant : Boolean
DataSources/Property.js 42

  Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

### Methods

#### equals(other) → Boolean
DataSources/Property.js 77

  Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

  Name | Type | Description
  --- | --- | ---
  `other` | Property | optional The other property.

  ##### Returns:

  `true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Object
DataSources/Property.js 67

  Gets the value of the property at the provided time.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The time for which to retrieve the value.
  `result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

  ##### Returns:

  The modified result parameter or a new instance if the result parameter was not supplied.